# Retrieve dispute details Obtain the details of a specific dispute by providing its ID. Endpoint: GET /disputes/{disputeId} Version: 0.0.1 Security: oAuthWithPKCE ## Path parameters: - `disputeId` (string, required) The dispute ID. ## Response 200 fields (application/json): - `id` (string) The unique identifier for the dispute. Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a" - `created_at` (string) The date and time when the dispute was created. Example: "2024-06-10T12:34:56Z" - `description` (string) The description provided for the dispute. Example: "Item arrived damaged." - `transaction_id` (string) The unique identifier of the related transaction. Example: "3e9wzv7zlmdr" - `status` (string) The current status of the dispute. Example: "pending" - `photos` (array) List of photo evidences attached to the dispute. - `photos.url` (string) The URL where the evidence file can be accessed. Example: "https://cdn.wallapop.com/evidence/photo1.jpg" - `photos.thumbnail_url` (string) The URL for the thumbnail version of the evidence. Example: "https://cdn.wallapop.com/evidence/photo1-thumb.jpg" - `videos` (array) List of video evidences attached to the dispute. - `escalated_reason` (string,null) The reason why the dispute was escalated, if applicable. Example: "Broken item." - `reject_reason` (string,null) The reason why the dispute was rejected, if applicable. Example: "Evidence insufficient." - `type` (string,null) The type of dispute solution, such as refund or repair. Enum: "refund", "repair" - `check_deadline` (string,null) The deadline for quality check, if applicable. Example: "2024-06-15T23:59:59Z" ## Response 403 fields (application/json): - `code` (string, required) A standardized error descriptor. Enum: "INVALID_ACCEPT_REQUEST", "USER_UNAUTHORIZED", "NOT_FOUND", "ONGOING_DELIVERY", "USER_IS_NOT_THE_SELLER", "INVALID_REGISTER_REQUEST", "ERROR_UPDATING_DELIVERY_STATUS" - `message` (string, required) A detailed error message. Example: "Request `1a24c9e4-32c9-44ea-8f63-9e4f2ba54725` status is not `PENDING`. It is `ACCEPTED`." ## Response 404 fields (application/json): - `code` (string, required) A standardized error descriptor. Enum: "INVALID_ACCEPT_REQUEST", "USER_UNAUTHORIZED", "NOT_FOUND", "ONGOING_DELIVERY", "USER_IS_NOT_THE_SELLER", "INVALID_REGISTER_REQUEST", "ERROR_UPDATING_DELIVERY_STATUS" - `message` (string, required) A detailed error message. Example: "Request `1a24c9e4-32c9-44ea-8f63-9e4f2ba54725` status is not `PENDING`. It is `ACCEPTED`."